Bug 1084637 - GCC 8: elfutils build fails
GCC 8: elfutils build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks: 1084649
  Show dependency treegraph
 
Reported: 2018-03-09 10:03 UTC by Martin Liška
Modified: 2021-08-10 10:35 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2018-03-09 10:03:38 UTC
Build the package with GCC 8, there's error:

[   68s] linux-core-note.c:116:1: error: alignment 2 of 'struct m68k_prstatus' is less than 4 [-Werror=packed-not-aligned]

Please build the project as follows to reproduce the issue:
osc build --alternative-project=openSUSE:Factory:Staging:Gcc7
Comment 1 Richard Biener 2018-03-09 10:12:19 UTC
SR#584787
Comment 2 Swamp Workflow Management 2018-03-12 09:40:05 UTC
This is an autogenerated message for OBS integration:
This bug (1084637) was mentioned in
https://build.opensuse.org/request/show/585779 Factory / elfutils
Comment 3 Martin Liška 2018-04-06 08:01:41 UTC
Another issue is that elfutils does not understand new locviews debug info support. Will be fixed by a new release of elfutils.
Comment 4 Martin Liška 2018-06-01 07:18:05 UTC
SR for Factory has been created.
Comment 5 Swamp Workflow Management 2018-06-01 07:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1084637) was mentioned in
https://build.opensuse.org/request/show/613424 Factory / elfutils
Comment 6 Swamp Workflow Management 2019-02-18 09:00:51 UTC
This is an autogenerated message for OBS integration:
This bug (1084637) was mentioned in
https://build.opensuse.org/request/show/676940 Factory / elfutils